#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-CXiQFsTeO91JgHO3ssLUrC
key:                  tree-diff-0.3.0.1-CXiQFsTeO91JgHO3ssLUrC
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  ea3cf5e4dbc3298a754a850c4c29c8bc
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-CXiQFsTeO91JgHO3ssLUrC
depends:
    QuickCheck-2.14.3-DB9X9Jr9tgaB7YjSEeodGO
    aeson-2.1.2.1-8ueLuG1qYj9Fbt4mgkSEM3
    ansi-terminal-0.11.5-I74MmTeW9YLiw9Qajrthd
    ansi-wl-pprint-0.6.9-7kKaUrYzOzCAoUOtvaUNuU base-4.16.4.0
    base-compat-0.12.2-5hQPtIjgG5LKnb20qwjRWd bytestring-0.11.4.0
    containers-0.6.5.1 data-array-byte-0.1.0.1-AqsCUF21rfkB3LS8UJhsDC
    deepseq-1.4.6.1 hashable-1.4.4.0-JPPoH0HitSIaCdulNsJk5
    parsec-3.1.15.0 parsers-0.12.11-FPquYbW5NZf47Po1shoymT
    pretty-1.1.3.6 primitive-0.7.4.0-AA8L6ftl9K2CnnGUysF0H7
    scientific-0.3.7.0-5LYId1uMyYd6WtLuciLYcq
    semialign-1.2.0.1-FhIqUW5Y44b6wertJl4Fet
    strict-0.4.0.1-60rEqOGOutRIeBcGu1IHWa
    tagged-0.8.8-404YCiJ2agdDxJGZ4AybXg text-1.2.5.0
    these-1.1.1.1-DJI9mZwwjTjDOC29dBAEK7 time-1.11.1.1
    unordered-containers-0.2.20-E4Tm9IvXwjlGK4H2DBnoSH
    uuid-types-1.0.5.1-LfdQaQtimrF27WwXkBX9iU
    vector-0.13.1.0-IsxGr1wjc8yHuZdiqe6rZF

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

